package org.mmga.clubs.entities.chess.packet;

import lombok.Data;

@Data
public class BaseWebSocketPacket {
    private String name;
    private Object payload;

    public BaseWebSocketPacket(Object payload) {
        Class<?> aClass = payload.getClass();
        this.name = aClass.getSimpleName().replace("Packet", "");
        this.payload = payload;
    }

    public static BaseWebSocketPacket of(Object payload) {
        return new BaseWebSocketPacket(payload);
    }
}
